dpkg-scanpackages(1)

NAZWA
dpkg-scanpackages - tworzy plik indeksowe Packages

SKŁADNIA
dpkg-scanpackages [opcja...] katalog-binarny [plik-nadpisań [prefiks-ścieżki]] > Packages

OPIS
dpkg-scanpackages przechodzi po drzewie binarnych pakietów Debiana i tworzy pliki Packages, używane przez apt(8), dselect(1) itp., zawierające informacje o tym, jakie pakiety są dostępne do zainstalowania. Wygenerowane pliki Packages są takie same, jak te, które można znaleźć w mirrorach archiwum Debiana i na CD-ROM-ach. Programu dpkg-scanpackages można użyć podczas tworzenia katalogu lokalnych pakietów do zainstalowania w grupie komputerów.

Note: If you want to access the generated Packages file with apt you will probably need to compress the file with xz(1) (generating a Packages.xz file), bzip2(1) (generating a Packages.bz2 file) or gzip(1) (generating a Packages.gz file). apt ignores uncompressed Packages files except on local access (i.e. file:// sources).

katalog-binarny jest nazwą drzewa pakietów binarnych do przetworzenia (na przykład contrib/binary-i386). Najlepiej, żeby był podany relatywnie w stosunku do korzenia drzewa archiwum Debiana, ponieważ wartość każdego pola Filename w nowym pliku Packages będzie się zaczynać od tego łańcucha znaków.

override-file is the name of a file to read which contains information about how the package fits into the distribution (the file can be compressed since dpkg 1.15.5); see deb-override(5).

prefiks-ścieżki jest opcjonalnym łańcuchem znaków, który będzie poprzedzał nazwy plików w polu Filename.

Jeżeli będzie znaleziona więcej niż jedna wersja pakietu, to tylko najnowsza spośród nich będzie dołączona do wyjścia. Jeżeli obie wersje pakietu będą miały ten sam numer wersji, a będą się tylko różniły architekturą, to będzie użyta pierwsza znaleziona wersja.

OPCJE

-t, --type typ
    Szukanie plików *.typ zamiast *.deb.

-e, --extra-override plik
    Scan file to find supplementary overrides (the file can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-a, --arch architektura
    Używa wzorca zawierającego *_all.deb i *_arch.deb zamiast poszukiwać wszystkich plików deb.

-h, --hash hash-list
    Only generate file hashes for the comma-specified list specified (since dpkg 1.17.14). The default is to generate all currently supported hashes. Supported values: md5, sha1, sha256.

-m, --multiversion
    Wypisuje wszystkie znalezione pakiety.

-M, --medium identyfikator-łańcucha
    Add an X-Medium field containing the value id-string (since dpkg 1.15.5). This field is required if you want to generate Packages.cd files for use by the multicd access method of dselect.

-?, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

DIAGNOSTYKA
dpkg-scanpackages wyświetla zwykłe, samowyjaśniające się komunikaty błędów. Wypisuje także ostrzeżenia o pakietach, które: są umiejscowione w niepoprawnych podkatalogach, zduplikowane, mają w swoim pliku kontrolnym pole Filename, nie są wymienione w pliku nadpisań lub mają zdefiniowane podstawienia opiekunów nie przynoszące efektu.

ZOBACZ TAKŻE
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012